#!/bin/bash
#
# Copyright (c) 2020 Bubble, Inc.  All rights reserved. For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
#
THISDIR=$(cd $(dirname ${0}) && pwd)
VCURL=${THISDIR}/vcurl

SNAPSHOT_FILTER=${1}

if [[ -z "${SNAPSHOT_FILTER}" ]] ; then
  ${VCURL} snapshots | jq .
else
  ${VCURL} snapshots | jq -r '.snapshots[].description' | grep "${SNAPSHOT_FILTER}"
fi
